Gyoto::Hook::Listener Class Reference

I might listen to a Teller. More...

`#include <GyotoHooks.h>`

Inheritance diagram for Gyoto::Hook::Listener:

## Public Member Functions

| Listener ()
| Constructor.
virtual | ~Listener ()
| Destructor.

## Protected Member Functions

virtual void | tell (Gyoto::Hook::Teller *msg)
| This is how a Teller tells.

## Friends

class | Gyoto::Hook::Teller

## Detailed Description

I might listen to a Teller.

Whisper to my ear by using my tell() method.

## Member Function Documentation

## tell()

virtual void Gyoto::Hook::Listener::tell | ( | Gyoto::Hook::Teller * | msg | ) |

protected virtual

This is how a Teller tells.

A teller will basically call listener->tell(this).

Parameters

  msg | Teller* the Teller who is telling... Useful if the Listener listens to several Tellers.

Reimplemented in Gyoto::Astrobj::OscilTorus, Gyoto::Astrobj::PageThorneDisk, Gyoto::Astrobj::PolishDoughnut, Gyoto::Astrobj::XillverReflection, Gyoto::Metric::Shift, Gyoto::Spectrometer::Complex, and Gyoto::Worldline.

The documentation for this class was generated from the following file:

- GyotoHooks.h